Обновляете vSphere на v6.5? Проверьте HCL!

Я не раз встречаю пользователей, которые «засиделись» на 5.5, и вынуждены мигрировать на 6.х, откладывая это до последнего. «Последнее» начинает пригорать. vSphere 5.5 прекращает поддерживаться уже в сентябре, так что если осенью вы не хотите оказаться с неподдерживаемой системой — пора начинать бегать по потолку готовить процесс миграции на актуальные версии.
И тут я хотел бы в очередной раз напомнить о штуке, про которую, как я заметил, вспоминают всегда в последнюю очередь. Дело в том, что VMware с выходом каждой новой версии и Updates «чистит» свой HCL, не только добавляя новые, но и удаляя из него старые модели серверов. И в этом есть некоторая засада, так как вы вполне можете столкнуться с ситуацией, когда хорошие, еще не старые серверы, выполняющие свою задачу, на которых работает и поддерживается, скажем, vSphere 5.5, после обновления на 6.5 будут считаться неподдерживаемыми, и вы, в процессе апгрейда, получите инфраструктуру, которой будет отказано в вендорской поддержке, хотя, казалось бы, обновлялись, «чтобы было как лучше».

Так, например, на сайте HPE есть специальная страница, в которой вы можете обнаружить, что, например, популярные серверы HPE DL320e Gen8, ML350e Gen8, DL360e Gen8, и уж, понятное дело, DL360 Gen7 — не поддерживаются для ESXi 6.5 и новее.
Аналогичный список есть и у Cisco, и у других вендоров. А у самой VMware он расположен тут: VMware Compatibility Guide.

Так что, надеюсь, вы обойдетесь без сюрпризов в процессе обновления и миграции.
Ну и, как принято говорить, «чтобы два раза не вставать», хочу напомнить, что на платформах Nutanix вы можете также использовать vSphere, причем в одном кластере даже разные версии, например 5.5 и 6.0 или 6.5, что может быть хорошим вариантом для плавной и постепенной миграции инфраструктуры «сервер за сервером». Ну и, наконец, у нас есть «однокнопочная» конвертация кластера vSphere в кластер AHV, решающая окончательно проблему с апгрейдом на новую vSphere с ее веб-клиентом, и прочим админским геморроем.

Обновляете vSphere на v6.5? Проверьте HCL!: 4 комментария

    1. romx

      Так я же не про «нормальность полета, ставь хоть на Джи четыре. Я про поддерживаемость вендором, это разные вещи. Клиент, ставя на неподдерживаемое железо, платит строчку в прайсе со словом Support и пятизначной, обычно, цифрой — в результате просто так, ни за что. И, конечно, до первого серьезного обращения в поддержку, когда он этот факт осознает, получив в ответ отписку про hardware not supported.

  1. Anonymous

    Опять FUD на ровном месте.
    В HCL есть дисковый и сетевой контроллеры десятилетнего сервера с Xeon E5400 (и дисководом), а чей шилдик на нём дело десятое.

    1. romx Автор записи

      Вообще-то у меня не разрешены анонимные комментарии, я рассматриваю это как неуважение к участникам дискуссии, но ради вас я сделаю исключение один раз. В дальнейшем я жду, что вы будете подписываться, в соответствии с полиси блога.

      А, ОК, то есть вы вот так и ответите саппорту, когда на обращение в него вам ответят, что система не поддерживается, вот ссылка на актуальный HCL?
      Обязательно расскажите, удалось ли вам переубедить VMware Support Organization такими аргументами. Если что — вы будете первым. ;)

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *